> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: 43800284-2961-45ad-a3ed-7da260081960
---

# Retrieve an owner

> Retrieve details of a specific owner using either their 'id' or 'userId'.

> [accordion] Supported products

> [accordion] Required Scopes


## OpenAPI

````yaml specs/2026-03/crm-crm-owners-v2026-03.json GET /crm/owners/2026-03/{ownerId}
openapi: 3.0.1
info:
  title: Crm Owners
  description: Owners - Parent pom
  version: 2026-03
  x-hubspot-product-tier-requirements:
    marketing: FREE
    sales: FREE
    service: FREE
    cms: FREE
    commerce: FREE
    crmHub: FREE
    dataHub: FREE
  x-hubspot-api-use-case: >-
    Retrieve the owner IDs for all users in the account to later assign CRM
    records across the team.
  x-hubspot-introduction: >-
    Each user in a HubSpot account is assigned an owner ID, which HubSpot uses
    to map the user to their assigned CRM records, activities, and more. Use the
    owners API to retrieve owner IDs and other related information for users in
    the account. To assign an owner to a CRM record, you can use the properties
    API to set the hubspot_owner_id property.
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Basic
paths:
  /crm/owners/2026-03/{ownerId}:
    get:
      tags:
        - Basic
      summary: Retrieve a specific owner by ID
      description: >-
        Retrieve details of a specific owner using either their 'id' or
        'userId'.
      operationId: get-/crm/owners/2026-03/{ownerId}_getById
      parameters:
        - name: ownerId
          in: path
          description: The unique identifier of the owner to retrieve.
          required: true
          style: simple
          explode: false
          schema:
            type: integer
            format: int32
        - name: archived
          in: query
          description: Whether to return only results that have been archived.
          required: false
          style: form
          explode: true
          schema:
            type: boolean
            default: false
        - name: idProperty
          in: query
          description: >-
            Specifies which property to use for identifying the owner. Valid
            values are 'id' or 'userId'. Defaults to 'id'.
          required: false
          style: form
          explode: true
          schema:
            type: string
            default: id
            enum:
              - id
              - userId
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicOwner'
        default:
          $ref: '#/components/responses/Error'
          description: ''
      security:
        - oauth2:
            - automation
        - oauth2:
            - crm.objects.owners.read
        - oauth2:
            - crm.pipelines.approval.read
        - oauth2:
            - crm.pipelines.governance.write
components:
  schemas:
    PublicOwner:
      required:
        - archived
        - createdAt
        - id
        - type
        - updatedAt
      type: object
      properties:
        archived:
          type: boolean
          description: Indicates whether the owner is archived.
        createdAt:
          type: string
          description: The date and time when the owner was created.
          format: date-time
        email:
          type: string
          description: The email address of the owner.
        firstName:
          type: string
          description: The first name of the owner.
        id:
          type: string
          description: The unique identifier of the owner.
        lastName:
          type: string
          description: The last name of the owner.
        teams:
          type: array
          description: >-
            An array of teams associated with the owner, where each team is
            represented by a PublicTeam object.
          items:
            $ref: '#/components/schemas/PublicTeam'
        type:
          type: string
          description: The type of the owner, which can be either PERSON or QUEUE.
          enum:
            - PERSON
            - QUEUE
        updatedAt:
          type: string
          description: The date and time when the owner was last updated.
          format: date-time
        userId:
          type: integer
          description: The user ID of the owner.
          format: int32
        userIdIncludingInactive:
          type: integer
          description: The user ID of the owner, including inactive users.
          format: int32
    PublicTeam:
      required:
        - id
        - name
        - primary
      type: object
      properties:
        id:
          type: string
          description: The unique identifier for the team, represented as a string.
        name:
          type: string
          description: The name of the team, represented as a string.
        primary:
          type: boolean
          description: A boolean indicating whether this team is the primary team.
    Error:
      required:
        - category
        - correlationId
        - message
      type: object
      properties:
        category:
          type: string
          description: The error category
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Context about the error condition
          example: >-
            {invalidPropertyName=[propertyValue], missingScopes=[scope1,
            scope2]}
        correlationId:
          type: string
          description: >-
            A unique identifier for the request. Include this value with any
            error reports or support tickets
          format: uuid
          example: aeb5f871-7f07-4993-9211-075dc63e7cbf
        errors:
          type: array
          description: further information about the error
          items:
            $ref: '#/components/schemas/ErrorDetail'
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of link names to associated URIs containing documentation
            about the error or recommended remediation steps
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
          example: An error occurred
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
      description: >-
        Represents an error response returned by the API when an operation
        fails. This component is used in various endpoints to provide detailed
        information about the error encountered.
      example:
        message: Invalid input (details will vary based on the error)
        correlationId: aeb5f871-7f07-4993-9211-075dc63e7cbf
        category: VALIDATION_ERROR
        links:
          knowledge-base: https://www.hubspot.com/products/service/knowledge-base
    ErrorDetail:
      required:
        - message
      type: object
      properties:
        code:
          type: string
          description: The status code associated with the error detail
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Context about the error condition
          example: '{missingScopes=[scope1, scope2]}'
        in:
          type: string
          description: The name of the field or parameter in which the error was found.
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
      description: >-
        Represents detailed information about an error that occurred in the API.
        This component is used to provide additional context and specifics about
        errors, typically as part of an error response.
  responses:
    Error:
      description: An error occurred.
      content:
        '*/*':
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://app.hubspot.com/oauth/authorize
          tokenUrl: https://api.hubapi.com/oauth/v1/token
          scopes:
            automation: ''
            crm.objects.owners.read: ''
            crm.pipelines.approval.read: ''
            crm.pipelines.governance.write: ''

````